
$( document ).ready(function() {
	/*$(".text-hidden").click(function(){
		
		$(this).slideToggle
	});*/
	$(".text-hidden").css('display','table');
	$(".text-hidden").css('display','none');
	$(".clear-row").click(function(event) {
		event.preventDefault();
	  	var id = $(this).attr("href");
	  	var selector ="#"+id+"";
	  	var menuItem = this;
	  	if($(".text-hidden:visible").length !=2) 
	  	{
	  	$(".triangle").css("display","none");
	  	if(!$(selector).is(":visible"))
	  	{
  			if ($(window).width() >= 767){	
	 			$(".triangle",menuItem).css("display","block");
			}
	  		//$(".text-hidden").css("display","none");
	  		if($(".text-hidden:visible").length > 0){
	  			$(".clear-row").css("pointer-events","none");

		  		$('p',".text-hidden:visible").animate({
		  		 		opacity: 0 		
		  		 },500,function(){

		  		 });	  			
	  			$(".text-hidden:visible").slideToggle("slow",function(){
	  				$(".clear-row").css("pointer-events","auto");
		  		});
	  		}
	  	}else
	  	{
	  		$(".triangle",menuItem).css("display","none");
	  	}
	  	$('p',selector).css({ opacity: 0, display:"none" })
	  	$(selector).slideToggle("slow",function(){
	  		if($(this).css('display') == 'block') $(this).css('display','table');
	  		$('p',this).css('display','table-cell');
	  		 $('p',this).animate({
	  		 	opacity : 1
	  		 },1000,function(){});
	  		$('html, body').animate({
            scrollTop: $(selector).offset().top
        }, 'slow',function(){
        });
	  	});
	  }
	});

});
